| dfemix Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfeMix Struct Reference
Overview

Mixer Structure. More...

## Data Fields
XDfeMix_Config | Config
| Config Structure. More...
XDfeMix_StateId | StateId
| StateId. More...
s32 | NotUsedCCID
              Lowest CCID number not allocated, in
non-switchable mode, also for DL in switchable mode More...
s32 | NotUsedCCID_UL
                 Lowest CCID number not allocated for UL in
switchable mode More...
u32 | SequenceLength
| Exact sequence length. More...
char | NodeName [XDFEMIX_NODE_NAME_MAX_LENGTH]
| Node name. More...
struct metal_io_region * | Io
| Libmetal IO structure. More...
struct metal_device * | Device
| Libmetal device structure. More...

## Detailed Description

Mixer Structure.

## Field Documentation

XDfeMix_Config XDfeMix::Config

Config Structure.

Referenced by XDfeMix_Activate(), XDfeMix_AddCCExample(), XDfeMix_Configure(), XDfeMix_Deactivate(), XDfeMix_GetCurrentCCCfgSwitchable(), XDfeMix_GetTriggersCfg(), XDfeMix_Initialize(), XDfeMix_MoveCC(), XDfeMix_MultiAddCCExample(), XDfeMix_SetAntennaGain(), XDfeMix_SetNextCCCfgAndTriggerSwitchable(), XDfeMix_SetTriggersCfg(), and XDfeMix_UpdateAntennaCfg().

struct metal_device* XDfeMix::Device

Libmetal device structure.

Referenced by XDfeMix_InstanceClose(), and XDfeMix_InstanceInit().

struct metal_io_region* XDfeMix::Io

Libmetal IO structure.

char XDfeMix::NodeName[XDFEMIX_NODE_NAME_MAX_LENGTH]

Node name.

Referenced by XDfeMix_InstanceClose(), and XDfeMix_InstanceInit().

s32 XDfeMix::NotUsedCCID

              Lowest CCID number not allocated, in

non-switchable mode, also for DL in switchable mode

Referenced by XDfeMix_AddCC(), XDfeMix_GetCurrentCCCfg(), XDfeMix_GetCurrentCCCfgSwitchable(), XDfeMix_Initialize(), XDfeMix_MoveCC(), XDfeMix_RemoveCC(), XDfeMix_SetNextCCCfgAndTrigger(), XDfeMix_SetNextCCCfgAndTriggerSwitchable(), and XDfeMix_UpdateCC().

s32 XDfeMix::NotUsedCCID_UL

                 Lowest CCID number not allocated for UL in

switchable mode

Referenced by XDfeMix_GetCurrentCCCfgSwitchable(), XDfeMix_Initialize(), and XDfeMix_SetNextCCCfgAndTriggerSwitchable().

u32 XDfeMix::SequenceLength

Exact sequence length.

Referenced by XDfeMix_GetEmptyCCCfg(), and XDfeMix_Initialize().

XDfeMix_StateId XDfeMix::StateId

StateId.

Referenced by XDfeMix_Activate(), XDfeMix_AddCC(), XDfeMix_Configure(), XDfeMix_Deactivate(), XDfeMix_GetDUCDDCStatus(), XDfeMix_GetMixerStatus(), XDfeMix_GetStateID(), XDfeMix_GetTriggersCfg(), XDfeMix_GetVersions(), XDfeMix_Initialize(), XDfeMix_InstanceClose(), XDfeMix_InstanceInit(), XDfeMix_MoveCC(), XDfeMix_RemoveCC(), XDfeMix_Reset(), XDfeMix_SetTriggersCfg(), XDfeMix_SetTUserDelay(), and XDfeMix_UpdateCC().